# Account sync enabled

A decision block that checks if automatic account data sync is enabled or disabled.

If the proceed option is set to Immediately, then check if auto-sync is currently enabled, or not, without pausing the fiber. If set to When changed, then the fiber will pause until auto-sync has been enabled, or was disabled.

If all three input arguments are empty, or evaluates to `null`, then check the master sync state.

Note! Since Android 8 apps has to be granted access to individual accounts, use the Pick account button, or the Account pick block to let the user do so at run-time.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Account name — account name, default is all accessible accounts.
- Account type — type of account, default all types.
- Data authority — type of synced data, default everything.